------------------------------------------------------------------------------------
--Name：        200416[简体征服][活动脚本]全球儿童节
--Creator:      耿力兀
--Created:     2020-04-16
------------------------------------------------------------------------------------

------------------------------------------------------------
CppScriptMgr:SetCanUseEsc(1)
-- local player = CppScriptMgr:AddSimplePlayer(40660,69,91,"Mrs.EggHead",4003000009,1)
-- CppScriptMgr:SetViewPosByCell(69,91)
CppScriptMgr:AddEffect("card_beacon",80,80)
CppScriptMgr:AddEffect("card_beacon",56,53)
CppScriptMgr:AddEffect("FF07",49,61)
CppScriptMgr:AddEffect("FF07",91,68)
CppScriptMgr:AddEffect("FF20",63,48)
CppScriptMgr:AddEffect("FF20",72,91)
CppScriptMgr:AddEffect("FF18",74,71)
CppScriptMgr:AddEffect("FF18",97,96)
CppScriptMgr:AddEffect("TakeOnLilySuit",69,91)

CppScriptMgr:SetViewPosByCell(69,91)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(69,91)
CppScriptMgr:AddEffect("TakeOnLilySuit",69,91)
local player = CppScriptMgr:AddSimplePlayer(40660,69,91,"Mrs.EggHead",4003000009,1)
player:Say("I have all kinds of capsules for battle. Come to claim some!",3000)
player:SetDir(6);

CppScriptMgr:NpcCallOut("Mrs. Egg Head has played Capsule Battles for 20 years. She loves the sound of capsules breaking.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc5016", 150, 430, "Donald", 250, 655)
CppScriptMgr:WaitMilSec(4000)  



-- 【捉迷藏大冒险】胡迪
CppScriptMgr:SetViewPosByCell(69,89)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(69,87)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(69,85)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(69,84)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(69,83)
CppScriptMgr:AddEffect("purpleray",69,83)
local player1 = CppScriptMgr:AddSimplePlayer(1050636,69,83,"Woody",4003000001,1)
player1:Say("Are you ready? I am coming to catch you!",3000)
CppScriptMgr:NpcCallOut("He is an expert at playing Hide & Seek. No one can find him if he hides.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc5016", 150, 430, "Donald", 250, 655)
CppScriptMgr:WaitMilSec(4000)

--【波波攒大冒险】龟仙人
CppScriptMgr:SetViewPosByCell(69,80)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(69,78)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(69,77)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(69,76)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(69,75)
CppScriptMgr:AddEffect("fam_gain",69,75)
local player2 = CppScriptMgr:AddSimplePlayer(24866,69,75,"MasterTurtle",4003000003,1)
player2:Say("Eat well, play well and live well!",3000)
CppScriptMgr:NpcCallOut("He used to be an unbeatable Wave Bomb player. It`s not easy to defeat him.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc5016", 150, 430, "Donald", 250, 655)
CppScriptMgr:WaitMilSec(4000)



--【打地鼠大冒险】胖胖 
CppScriptMgr:SetViewPosByCell(70,73)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(72,71)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(74,69)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(76,67)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(78,65)
CppScriptMgr:AddEffect("uperXp-1-4",78,65)
local player3 = CppScriptMgr:AddSimplePlayer(31350,78,65,"Pangpang",4003000002,1)
player3:Say("Where is the fat mole?",3000)
CppScriptMgr:NpcCallOut("His fatness is an effective weapon in poking moles. When he lies down and rolls back and forth, no moles has the chance to come out!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc5016", 150, 430, "Donald", 250, 655)
CppScriptMgr:WaitMilSec(4000)


--【仙境寻宝大冒险】爱丽丝
CppScriptMgr:SetViewPosByCell(79,65)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(80,65)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(81,65)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(82,65)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(83,65)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(84,65)
CppScriptMgr:AddEffect("fam_exp",84,65)
local player4 = CppScriptMgr:AddSimplePlayer(1058940,84,65,"Alice",4003000004,1)
player4:Say("Let me take you to find the lost treasures!",3000)
CppScriptMgr:NpcCallOut("She looks as beautiful as a doll, but she is actually a zealous adventurer. So it`s a perfect choice to take her to adventures.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc5016", 150, 430, "Donald", 250, 655)
CppScriptMgr:WaitMilSec(4000)



--【小飞侠大冒险】彼得潘
CppScriptMgr:SetViewPosByCell(85,65)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(86,65)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(87,65)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(88,65)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(89,65)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(90,65)
CppScriptMgr:AddEffect("changefig",90,65)
local player5 = CppScriptMgr:AddSimplePlayer(1058950,90,65,"PeterPan",4003000005,1)
player5:Say("Come to discover treasures on the Fantasy Island.",3000)
CppScriptMgr:NpcCallOut("He is a humorous and aspirational boy!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc5016", 150, 430, "Donald", 250, 655)
CppScriptMgr:WaitMilSec(4000)  



--镜头6：【扭蛋转转乐】童趣扭蛋机
CppScriptMgr:SetViewPosByCell(83,64)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(80,62)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(75,60)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(70,58)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(65,56)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(60,54)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(55,53)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(50,52)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(48,51)
CppScriptMgr:AddEffect("dgbos_addr",48,51)
CppScriptMgr:AddEffect("dgbos_addr",52,46)
local player6 = CppScriptMgr:AddSimplePlayer(25166,48,51,"CapsuleToysMachine",4003000006,1)
local player7 = CppScriptMgr:AddSimplePlayer(25176,52,46,"CapsuleToysMachineOfLanguages",4003000007,1)
player6:Say("Your new toy is coming!",3000)
CppScriptMgr:NpcCallOut("You can`t miss the capsule toy in the Dinnie Funfair.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc5016", 150, 430, "Donald", 250, 655)
CppScriptMgr:WaitMilSec(4000)  

--镜头7：蛋头夫妇 
CppScriptMgr:SetViewPosByCell(49,52)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(50,53)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(51,54)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(52,55)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(53,55)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(54,55)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(55,55)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(56,55)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(57,55)
CppScriptMgr:AddEffect("warrior-s",57,55)
local player8 = CppScriptMgr:AddSimplePlayer(40657,57,55,"Mr.EggHead",4003000008,1)
player8:SetDir(7);
player8:Say("I can help you exchange toys!",3000)
CppScriptMgr:NpcCallOut("Mr. Egg Head`s Trade Center is always full of people. Kids from Twin City to Desert City all come here to exchange toys.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc5016", 150, 430, "Donald", 250, 655)
CppScriptMgr:WaitMilSec(3000)
